List of Android Libraries
======================

This is an alphabetical list of libraries for Android development, the majority being actively maintained.

**UI/UX Library is [here](https://github.com/wasabeef/awesome-android-ui).**

### Index
* [Networking](#networking)
* [Image Loader](#image-loader)
* [Drawable](#drawable)
* [Dependency Injections](#dependency-injections)
* [JSON](#json)
* [O/R Mapping](#or-mapping)
* [NoSQL](#nosql)
* [Pub/Sub](#pubsub)
* [Logger](#logger)
* [Background Processing](#background-processing)
* [Fonts](#fonts)
* [Video](#video)
* [Parcelables](#parcelables)
* [Functional Programming](#functional-programming)
  * [Adding Java-8 Functional Programming Features](#adding-java-8-functional-programming-features)
  * [Functional Reactive Programming](#functional-reactive-programming)
* [Social Networks](#social-networks)
* [WebRTC](#webrtc)
* [Image Processing](#image-processing)
* [Camera](#camera)
* [Security](#security)
* [Media](#media)
* [Showcases](#showcases)
* [Maps](#maps)
* [Other](#other)

## Networking
Name | Repository | License
--- | --- | ---
[Android Asynchronous Http Client](http://loopj.com/android-async-http) | https://github.com/loopj/android-async-http | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)
[Async Http Client](https://github.com/AsyncHttpClient/async-http-client) | https://github.com/AsyncHttpClient/async-http-client | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)
[ion](https://github.com/koush/ion) | https://github.com/koush/ion | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)
[OkHttp](http://square.github.io/okhttp/) | https://github.com/square/okhttp | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)
[Retrofit](http://square.github.io/retrofit/) | https://github.com/square/retrofit | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)
[RxNetty](https://github.com/ReactiveX/RxNetty) | https://github.com/ReactiveX/RxNetty | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)
[Basic HTTP Client for Java](https://code.google.com/p/basic-http-client/) | https://code.google.com/p/basic-http-client/ | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)

## Image Loader
Name | Repository | License
--- | --- | --- 
[Glide](https://github.com/bumptech/glide) | https://github.com/bumptech/glide | [ License](https://github.com/bumptech/glide/blob/master/LICENSE)
[ion](https://github.com/koush/ion) | https://github.com/koush/ion | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)
[Picasso](http://square.github.io/picasso) | https://github.com/square/picasso | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)
[Universal Image Loader](https://github.com/nostra13/Android-Universal-Image-Loader) | https://github.com/nostra13/Android-Universal-Image-Loader | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)
[Fresco](http://frescolib.org) | https://github.com/facebook/fresco | [BSD License](https://github.com/facebook/fresco/blob/master/LICENSE)
## Drawable
Name | Repository | License
--- | --- | ---
[MrVector](https://github.com/telly/MrVector) | https://github.com/telly/MrVector | [License](https://github.com/telly/MrVector/blob/master/LICENSE)

## Dependency Injections
Name | Repository | License
--- | --- | ---
[AndroidAnnotations](http://androidannotations.org/) | https://github.com/excilys/androidannotations | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)
[Butter Knife](http://jakewharton.github.io/butterknife/) | https://github.com/JakeWharton/butterknife | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)
[Dagger(Square)](http://square.github.io/dagger/) | https://github.com/square/dagger | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)
[Dagger(Google)](https://github.com/google/dagger) | https://github.com/google/dagger | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)
[RoboGuice](https://github.com/roboguice/roboguice) | https://github.com/roboguice/roboguice | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)
[Scopes](https://github.com/emmano/Scopes) | https://github.com/emmano/Scopes | [MIT](http://opensource.org/licenses/MIT)

## JSON 
Name | Repository | License
--- | --- | ---
[Gson](https://code.google.com/p/google-gson/) | http://google-gson.googlecode.com/svn/trunk/ | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)
[ig-json-parser](https://github.com/Instagram/ig-json-parser) | https://github.com/Instagram/ig-json-parser | [BSD](https://en.wikipedia.org/wiki/BSD_licenses)
[Jackson](http://jackson.codehaus.org/) | https://github.com/FasterXML/jackson | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)

## O/R Mapping 
Name | Repository | License
--- | --- | ---
[ActiveAndroid](http://www.activeandroid.com/) | https://github.com/pardom/ActiveAndroid | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)
[Cupboard for Android](https://bitbucket.org/littlerobots/cupboard) | https://bitbucket.org/littlerobots/cupboard | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)
[DBFlow](https://github.com/Raizlabs/DBFlow) | https://github.com/Raizlabs/DBFlow | [MIT](http://opensource.org/licenses/MIT)
[greenDAO](http://greendao-orm.com/) | https://github.com/greenrobot/greenDAO | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)
[RushOrm](http://www.rushorm.com/) | https://github.com/Stuart-campbell/RushOrm | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)
[Sugar ORM](http://satyan.github.io/sugar/) | https://github.com/satyan/sugar | [Satya Narayan](https://github.com/satyan/sugar/blob/master/LICENSE)
[Shillelagh](https://github.com/pieces029/shillelagh) | https://github.com/pieces029/shillelagh | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)
[SQLBrite](https://github.com/square/sqlbrite) | https://github.com/square/sqlbrite | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)
[Ollie](https://github.com/pardom/Ollie) | https://github.com/pardom/Ollie | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)
[TriOrm](https://github.com/HendrixString/Android-TriOrm) | https://github.com/HendrixString/Android-TriOrm | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)

## NoSQL
Name | Repository | License
--- | --- | ---
[Couchbase-Lite-Android](http://developer.couchbase.com/mobile/) | https://github.com/couchbase/couchbase-lite-android | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)
[Realm](http://realm.io/) | https://github.com/realm/realm-java | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)
[SimpleNoSQL](https://github.com/Jearil/SimpleNoSQL) | https://github.com/Jearil/SimpleNoSQL | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)
[RxSimpleNoSQL](https://github.com/xmartlabs/RxSimpleNoSQL) | https://github.com/xmartlabs/RxSimpleNoSQL | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)
[SnappyDB](http://www.snappydb.com/) | https://github.com/nhachicha/SnappyDB | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)

## Pub/Sub
Name | Repository | License
--- | --- | ---
[EventBus](https://github.com/greenrobot/EventBus) | https://github.com/greenrobot/EventBus | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)
[Otto](http://square.github.io/otto/) | https://github.com/square/otto | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)
[MBassador](https://github.com/bennidi/mbassador) | https://github.com/bennidi/mbassador | [MIT](http://opensource.org/licenses/MIT)

## Logger
Name | Repository | License
--- | --- | ---
[Hugo](https://github.com/JakeWharton/hugo) | https://github.com/JakeWharton/hugo | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)
[Timber](https://github.com/JakeWharton/timber) | https://github.com/JakeWharton/timber | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)
[LoggingInterceptor](https://github.com/ihsanbal/LoggingInterceptor) | https://github.com/ihsanbal/LoggingInterceptor | [MIT](http://opensource.org/licenses/MIT)

## Background Processing
Name | Repository | License
--- | --- | ---
[Android Priority Job Queue](https://github.com/path/android-priority-jobqueue) | https://github.com/path/android-priority-jobqueue | [MIT](http://opensource.org/licenses/MIT)
[Tape](http://square.github.io/tape/) | https://github.com/square/tape | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)
[Zorn](https://github.com/HendrixString/Android-Zorn) | https://github.com/HendrixString/Android-Zorn | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)

## Fonts
Name | Repository | License
--- | --- | ---
[Calligraphy](https://github.com/chrisjenx/Calligraphy) | https://github.com/chrisjenx/Calligraphy | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)
 
## Video
Name | Repository | License
--- | --- | ---
[ExoPlayer](https://github.com/google/ExoPlayer) | https://github.com/google/ExoPlayer | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)
[ijkplayer](https://github.com/bbcallen/ijkplayer) | https://github.com/bbcallen/ijkplayer | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)
[mp4parser](https://code.google.com/p/mp4parser/) | https://github.com/sannies/mp4parser | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)

## Parcelables
Name | Repository | License
--- | --- | ---
[AutoParcel](https://github.com/frankiesardo/auto-parcel) | https://github.com/frankiesardo/auto-parcel | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)
[Akatsuki](https://github.com/tom91136/Akatsuki) | https://github.com/tom91136/Akatsuki | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)
[Icepick](https://github.com/frankiesardo/icepick) | https://github.com/frankiesardo/icepick | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)
[Parceler](https://github.com/johncarl81/parceler) | https://github.com/johncarl81/parceler | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)

## Functional Programming

#### Adding Java-8 Functional Programming Features
Name | Repository | License
--- | --- | ---
[Retrolambda](https://github.com/orfjackal/retrolambda) | https://github.com/orfjackal/retrolambda | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)

#### Functional Reactive Programming
Name | Repository | License
--- | --- | ---
[RxAndroid](https://github.com/ReactiveX/RxAndroid) | https://github.com/ReactiveX/RxAndroid | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)
[RxJava](https://github.com/ReactiveX/RxJava) | https://github.com/ReactiveX/RxJava | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)

## Social Networks
Name | Repository | License
--- | --- | ---
[ASNE](https://github.com/gorbin/ASNE) | https://github.com/gorbin/ASNE | [MIT](http://opensource.org/licenses/MIT)
[Facebook SDK](https://developers.facebook.com/docs/android) | https://github.com/facebook/facebook-android-sdk | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)
[Twitter Fabric](https://dev.twitter.com/products/fabric) | Unknown | Unknown

## WebRTC
Name | Repository | License
--- | --- | ---
[AndroidRTC](https://github.com/pchab/AndroidRTC) | https://github.com/pchab/AndroidRTC | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)

## Image Processing
Name | Repository | License
--- | --- | ---
[GPUImage for Android](https://github.com/CyberAgent/android-gpuimage) | https://github.com/CyberAgent/android-gpuimage | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)

## Camera
Name | Repository | License
--- | --- | ---
[Landscape video camera](https://github.com/jmolsmobile/LandscapeVideoCamera) | https://github.com/jmolsmobile/LandscapeVideoCamera | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)
[EasyCamera](https://github.com/Glamdring/EasyCamera) | https://github.com/Glamdring/EasyCamera | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)

## Build
Name | Repository | License
--- | --- | ---
[Buck](https://github.com/facebook/buck) | https://github.com/facebook/buck | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)

## Security
Name | Repository | License
--- | --- | ---
[Grab'n Run](https://github.com/lukeFalsina/Grab-n-Run) | https://github.com/lukeFalsina/Grab-n-Run | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)

## Media
Name | Repository | License
--- | --- | ---
[PdfMyXml](https://github.com/HendrixString/Android-PdfMyXml) | https://github.com/HendrixString/Android-PdfMyXml | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)

## Showcases
Name | Repository | License
--- | --- | ---
[android-best-practices](https://github.com/futurice/android-best-practices) | https://github.com/futurice/android-best-practices | [CC BY 4.0](https://creativecommons.org/licenses/by/4.0/legalcode)
[BlurTestAndroid](https://github.com/patrickfav/BlurTestAndroid) | https://github.com/patrickfav/BlurTestAndroid | Unknown
[card.io-Android-source](https://github.com/card-io/card.io-Android-source) | https://github.com/card-io/card.io-Android-source | [MIT](http://opensource.org/licenses/MIT)
[iosched](https://github.com/google/iosched) | https://github.com/google/iosched | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)
[JamsMusicPlayer](https://github.com/psaravan/JamsMusicPlayer) | https://github.com/psaravan/JamsMusicPlayer | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)
[Reflection No Reflection](https://github.com/stephanenicolas/reflection-no-reflection) | https://github.com/stephanenicolas/reflection-no-reflection | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)
[Mizuu](http://mizuu.tv/) | https://github.com/MizzleDK/Mizuu | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)
[Mover](http://mover.uz) | https://github.com/Codetail/Mover | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)
[Talon-for-Twitter](https://github.com/klinker24/Talon-for-Twitter) | https://github.com/klinker24/Talon-for-Twitter | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)
[Telecine](https://github.com/JakeWharton/Telecine) | https://github.com/JakeWharton/Telecine | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)
[u2020](https://github.com/JakeWharton/u2020) | https://github.com/JakeWharton/u2020 | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)

## Maps
Name | Repository | License
--- | --- | ---
[GraphHopper](https://graphhopper.com) | https://github.com/graphhopper/graphhopper | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)
[Mapsforge](https://github.com/mapsforge/mapsforge) | https://github.com/mapsforge/mapsforge | [LGPL](https://www.gnu.org/licenses/lgpl.html)

## Other
Name | Repository | License
--- | --- | ---
[Joda Time Android](https://github.com/dlew/joda-time-android) | https://github.com/dlew/joda-time-android | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)
[Bolts](https://github.com/BoltsFramework/Bolts-Android) | https://github.com/BoltsFramework/Bolts-Android | [BSD](https://en.wikipedia.org/wiki/BSD_licenses)
[Secure Preference Manager](http://prashantsolanki3.github.io/Secure-Pref-Manager/) | http://prashantsolanki3.github.io/Secure-Pref-Manager/ | [Apache License V2](https://www.apache.org/licenses/LICENSE-2.0)
